function PTe(a){this.a=a}
function WTe(a,b){aTe(a.a,b)}
function XTe(a,b){_Se(a.a,b)}
function Msk(){NYe(this.b,new PTe(this))}
function n$e(a){var b;if(!a.d){b=new YTe;a.d=b}return a.d}
function m$e(a){var b;if(!a.c){b=new NTe(QEd(Nbe(a.a)),n$e(a),l$e(a),(Rnj(sde(a.a)),lLg(Gce(a.a))),V0i(qde(a.a)));aFd((Obe(a.a),b),ZFd(Obe(a.a)));a.c=b}return a.c}
function YTe(){this.a=new bTe(W1j);$Se(this.a,(PXd(),'A named network interface, along with required criteria for determining the IP address to associate with that interface.'))}
function NTe(a,b,d,e){var g,i,j;GFd.call(this,a,b,d);this.c=e;g=new Q7i;g.b=new olj;this.b=new OYe(g);j=new h0i(alb);i=new U_i(alb,(EAh(),zAh).Mc(alb),DAh.Mc(alb));this.a=new BTe(j,i);zTe(this.a,this)}
f3c(2102,1007,hyj,NTe);_.yl=function(){var a;a=new Q7i;a.b=new olj;return a};_.zl=Msk;_.Qi=function(){WTe(this.A,this.a)};_.Vi=Msk;_.Zi=function(){ruf(this.c,this)};f3c(2103,1294,{},PTe);_.dh=function(a){XTe(this.a.A,a)};f3c(2106,1411,gyj,YTe);_.Ah=function(){return ZSe(this.a)};f3c(2216,1,Pyj);_.pd=function(){yGd(this.b,m$e(this.a.a))};var yjb=wNd(2102),vjb=wNd(2103),zjb=wNd(2106);Dzj(_o)(9);